-- name: \\#FFFFFF\\[PET] \\#FF0000\\Mario Party \\#00F5E2\\Mini Racers
-- description: \\#FFFFFF\\The cast of Mario Party in bite-size cars! \n\n\\#F07F00\\WIDDLEPETS IS REQUIRED\\#FFFFFF\\. \n\nContains the entire playable cast of Mario Party 1 and three NPCs from Mario Party 2, all in derby cars and hover cars. This also includes a special mini car that's.. merely a joke. Don't mind him too much. Unless you're a... \\#FF0000\\BAD DRIVER\\#FFFFFF\\.... \n\nEnjoy the pack! \n\nCreated by: \\#105009\\Emeraldsniper \n\n\\#FF0000\\v0.5

if not _G.wpets then return end

local E_MODEL_MINIDDK = smlua_model_util_get_id('MiniDK_geo')
local E_MODEL_MINIDYOSHI = smlua_model_util_get_id('MiniYoshi_geo')
local E_MODEL_MINIDMARIO = smlua_model_util_get_id('MiniMario_geo')
local E_MODEL_MINIDLUIGI = smlua_model_util_get_id('MiniLuigi_geo')
local E_MODEL_MINIDPEACH = smlua_model_util_get_id('MiniPeach_geo')
local E_MODEL_MINIDWARIO = smlua_model_util_get_id('MiniWario_geo')
local E_MODEL_MINIDTHWOMP = smlua_model_util_get_id('MiniThwomp_geo')
local E_MODEL_MINIDWHOMP = smlua_model_util_get_id('MiniWhomp_geo')
local E_MODEL_MINISPACEPOLICE = smlua_model_util_get_id('MiniSpacePolice_geo')
local E_MODEL_MINIMARIOLTD = smlua_model_util_get_id('MiniMarioLTD_geo')

local ID_MINIDDK = _G.wpets.add_pet({
	name = "Mini-Derby DK", credit = "Emeraldsniper",
	description = "Donkey Kong in his mini-derby!",
	modelID = E_MODEL_MINIDDK,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDDK)

_G.wpets.set_pet_sounds(ID_MINIDDK, {
	spawn = 'DKSpawn.ogg',
	happy = 'DKHappy.ogg',
	vanish = nil,
	step = 'DerbyDriving.ogg',
})

local ID_MINIDYOSHI = _G.wpets.add_pet({
	name = "Mini-Derby Yoshi", credit = "Emeraldsniper",
	description = "Yoshi in a mini-derby!",
	modelID = E_MODEL_MINIDYOSHI,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDYOSHI)

_G.wpets.set_pet_sounds(ID_MINIDYOSHI, {
	spawn = 'YoshiSpawn.ogg',
	happy = 'YoshiHappy.ogg',
	vanish = nil,
	step = 'DerbyDriving.ogg',
})

local ID_MINIDMARIO = _G.wpets.add_pet({
	name = "Mini-Derby Mario", credit = "Emeraldsniper",
	description = "Mario in his mini-derby!",
	modelID = E_MODEL_MINIDMARIO,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDMARIO)

_G.wpets.set_pet_sounds(ID_MINIDMARIO, {
	spawn = 'MarioSpawn.ogg',
	happy = 'MarioHappy.ogg',
	vanish = nil,
	step = 'DerbyDriving.ogg',
})

local ID_MINIDLUIGI = _G.wpets.add_pet({
	name = "Mini-Derby Luigi", credit = "Emeraldsniper",
	description = "Luigi in his mini-derby!",
	modelID = E_MODEL_MINIDLUIGI,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDLUIGI)

_G.wpets.set_pet_sounds(ID_MINIDLUIGI, {
	spawn = 'LuigiSpawn.ogg',
	happy = 'LuigiHappy.ogg',
	vanish = nil,
	step = 'DerbyDriving.ogg',
})

local ID_MINIDPEACH = _G.wpets.add_pet({
	name = "Mini-Derby Peach", credit = "Emeraldsniper",
	description = "Peach in her mini-derby!",
	modelID = E_MODEL_MINIDPEACH,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDPEACH)

_G.wpets.set_pet_sounds(ID_MINIDPEACH, {
	spawn = 'PeachSpawn.ogg',
	happy = 'PeachHappy.ogg',
	vanish = nil,
	step = 'DerbyDriving.ogg',
})

local ID_MINIDWARIO = _G.wpets.add_pet({
	name = "Mini-Derby Wario", credit = "Emeraldsniper",
	description = "Wario in his mini-derby!",
	modelID = E_MODEL_MINIDWARIO,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDWARIO)

_G.wpets.set_pet_sounds(ID_MINIDWARIO, {
	spawn = 'WarioSpawn.ogg',
	happy = 'WarioHappy.ogg',
	vanish = nil,
	step = 'DerbyDriving.ogg',
})

local ID_MINIDTHWOMP = _G.wpets.add_pet({
	name = "Mini-Derby Thwomp", credit = "Emeraldsniper",
	description = "A Thwomp in his mini-derby!",
	modelID = E_MODEL_MINIDTHWOMP,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDTHWOMP)

_G.wpets.set_pet_sounds(ID_MINIDTHWOMP, {
	spawn = 'ThwompSpawn.ogg',
	happy = 'ThwompHappy.ogg',
	vanish = nil,
	step = 'HoverDriving.ogg',
})

local ID_MINIDWHOMP = _G.wpets.add_pet({
	name = "Mini-Derby Whomp", credit = "Emeraldsniper",
	description = "A Whomp in his mini-derby!",
	modelID = E_MODEL_MINIDWHOMP,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIDWHOMP)

_G.wpets.set_pet_sounds(ID_MINIDWHOMP, {
	spawn = 'WhompSpawn.ogg',
	happy = 'WhompHappy.ogg',
	vanish = nil,
	step = 'HoverDriving.ogg',
})

local ID_MINISPACEPOLICE = _G.wpets.add_pet({
	name = "Mini Space Police", credit = "Emeraldsniper",
	description = "Uh oh, it's a Space Policeman in his mini-derby!",
	modelID = E_MODEL_MINISPACEPOLICE,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINISPACEPOLICE)

_G.wpets.set_pet_sounds(ID_MINISPACEPOLICE, {
	spawn = 'SPSpawn.ogg',
	happy = 'SPHappy.ogg',
	vanish = nil,
	step = 'SPDriving.ogg',
})

local ID_MINIMARIOLTD = _G.wpets.add_pet({
	name = "Mini Mario LTD", credit = "Emeraldsniper",
	description = "I'm-a gonna drive for you!",
	modelID = E_MODEL_MINIMARIOLTD,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MINIMARIOLTD)

_G.wpets.set_pet_sounds(ID_MINIMARIOLTD, {
	spawn = 'MarioLTDSpawn.ogg',
	happy = 'MarioLTDHappy.ogg',
	vanish = nil,
	step = 'MarioLTDDriving.ogg',
})